---
title: Document.onfullscreenerror
slug: Web/API/Document/onfullscreenerror
tags:
  - API
  - Document
  - Error
  - Event Handler
  - Full-screen
  - Fullscreen API
  - Property
  - Reference
  - fullscreen
  - onfullscreenerror
  - screen
---
<div>{{ApiRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The <code><strong>Document.onfullscreenerror</strong></code> property is an event handler for the {{event("fullscreenerror")}} event that is sent to the  document when it fails to transition into full-screen mode after a prior call to {{domxref("Element.requestFullscreen()")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>targetDocument</var>.onfullscreenerror = <var>fullscreenErrorHandler</var>;
</pre>

<h3 id="Value">Value</h3>

<p>An event handler for the {{event("fullscreenerror")}} event.</p>

<h2 id="Example">Example</h2>

<p>This example attempts to call <code>requestFullscreen()</code> outside of an event handler. Since <code>requestFullscreen()</code> can only be called in response to user action, for security reasons, this will fail, causing the <code>fullscreenerror</code> to be sent to the document.</p>

<pre class="brush: js">document.onfullscreenerror = function ( event ) {
  displayWarning("Unable to switch into full-screen mode.");
};

//....

document.documentElement.requestFullscreen();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#handler-document-onfullscreenerror", "onfullscreenerror")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.onfullscreenerror")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API </a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{event("fullscreenerror")}}</li>
 <li>{{domxref("Document.onfullscreenchange")}}</li>
 <li>{{domxref("Element.onfullscreenerror")}}</li>
</ul>
